dataset_class='cmo'
gpu=0
adpt_td_weight=0.01
adpt_steps=1000
adpt_lr=0.05
cvar_alpha=0.7
use_wandb=0
adpt_td_type='qf'
export WANDB_INIT_TIMEOUT="300"

for env in  CMO-Hopper-v2 CMO-Ant-v2 #CMO-Swimmer-v2   CMO-HalfCheetah-v2  #CMO-Walker2d-v2 
do
    for seed in 0 1 2
    do
    algo='Diffusion-QL'
    normalize_states=1
    pref_perturb_theta=0.0
    w_step_size_final_eval=0.1
    adpt_prior_weight=100.0
    adpt_entropy_weight=1.0
    nohup python train_eval.py \
        --test_only 1\
        --env $env\
        --seed $seed \
        --dataset $dataset_class \
        --gpu $gpu \
        --w_step_size_final_eval $w_step_size_final_eval\
        --use_wandb $use_wandb \
        --pref_perturb_theta $pref_perturb_theta \
        --algo $algo\
        --normalize_states $normalize_states\
        --adpt_td_weight $adpt_td_weight\
        --adpt_lr $adpt_lr\
        --adpt_steps $adpt_steps\
        --cvar_alpha $cvar_alpha\
        --adpt_td_type $adpt_td_type\
        --adpt_prior_weight $adpt_prior_weight\
        --adpt_entropy_weight $adpt_entropy_weight\
        > logs/${env}_${dataset_type}_${seed}_test.txt &
    seed=$(($seed+1))
    done

    gpu=$(($gpu+1)) 

    for seed in 0 1 2
    do
    algo='PEDA'
    normalize_states=1
    pref_perturb_theta=0.0
    w_step_size_final_eval=0.1
    nohup python train_eval.py \
        --test_only 1\
        --env $env\
        --seed $seed \
        --dataset $dataset_class \
        --gpu $gpu \
        --w_step_size_final_eval $w_step_size_final_eval\
        --use_wandb $use_wandb \
        --pref_perturb_theta $pref_perturb_theta \
        --algo $algo\
        --normalize_states $normalize_states\
        --adpt_td_weight $adpt_td_weight\
        --adpt_lr $adpt_lr\
        --adpt_steps $adpt_steps\
        --cvar_alpha $cvar_alpha\
        --adpt_td_type $adpt_td_type\
        > logs/${env}_${dataset_type}_${seed}_test.txt &
    seed=$(($seed+1))
    done
    
    gpu=$(($gpu+1))

    for seed in 0 1 2
    do
    algo='Prompt-MODT'
    normalize_states=1
    pref_perturb_theta=0.0
    w_step_size_final_eval=0.1
    adpt_batch_demo=32
    nohup python train_eval.py \
        --test_only 1\
        --env $env\
        --seed $seed \
        --dataset $dataset_class \
        --gpu $gpu \
        --w_step_size_final_eval $w_step_size_final_eval\
        --use_wandb $use_wandb \
        --pref_perturb_theta $pref_perturb_theta \
        --algo $algo\
        --normalize_states $normalize_states\
        --adpt_td_weight $adpt_td_weight\
        --adpt_lr $adpt_lr\
        --adpt_steps $adpt_steps\
        --cvar_alpha $cvar_alpha\
        --adpt_td_type $adpt_td_type\
        --adpt_batch_demo $adpt_batch_demo\
        > logs/${env}_${dataset_type}_${seed}_test.txt &
    seed=$(($seed+1))
    done

    gpu=$(($gpu+1))

    for seed in 0 1 2
    do
    algo='BC'
    normalize_states=1
    pref_perturb_theta=0.0
    w_step_size_final_eval=0.1
    nohup python train_eval.py \
        --test_only 1\
        --env $env\
        --seed $seed \
        --dataset $dataset_class \
        --gpu $gpu \
        --w_step_size_final_eval $w_step_size_final_eval\
        --use_wandb $use_wandb \
        --pref_perturb_theta $pref_perturb_theta \
        --algo $algo\
        --normalize_states $normalize_states\
        --adpt_td_weight $adpt_td_weight\
        --adpt_lr $adpt_lr\
        --adpt_steps $adpt_steps\
        --cvar_alpha $cvar_alpha\
        --adpt_td_type $adpt_td_type\
        > logs/${env}_${dataset_type}_${seed}_test.txt &
    seed=$(($seed+1))
    done

    gpu=$(($gpu+1))
done

